Problems to update wordpress-5.0.1 automatically
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: December 15, 2018 07:05PM

Hi,
I tried a few times to update automatically wordpress 5.0.1 through my dashboard and I get a failure message and then this:

Update WordPress
Downloading update from [downloads.wordpress.org]…

Unpacking the update…


( ! ) Fatal error: Maximum execution time of 120 seconds exceeded in C:\wamp64\www\mysite\wp-admin\includes\class-wp-filesystem-direct.php on line 74
Call Stack
# Time Memory Function Location
1 0.0009 409232 {main}( ) ...\update-core.php:0
2 2.6726 9977024 do_core_upgrade( ) ...\update-core.php:668
3 2.6884 10086208 Core_Upgrader->upgrade( ) ...\update-core.php:499
4 14.6188 10066776 Core_Upgrader->unpack_package( ) ...\class-core-upgrader.php:127
5 14.6241 10067000 unzip_file( ) ...\class-wp-upgrader.php:308
6 14.6263 10068264 _unzip_file_ziparchive( ) ...\file.php:1078
7 119.9271 10073864 WP_Filesystem_Direct->put_contents( ) ...\file.php:1194

What should I do? I don't know how to update wordpress from wampserver manually? I would appreciate any piece of advise. Thanks

Options: ReplyQuote
Re: Problems to update wordpress-5.0.1 automatically
Posted by: Otomatic (Moderator)
Date: December 15, 2018 07:42PM

Hi,

You didn't have the idea, or even the curiosity to see if a PHP parameter could increase the maximum execution time!

Left-Click -> PHP -> PHP settings -> max_execution_time

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.7 32 bit - Apache 2.4.37 - PHP 7.3.1/7.2.14/7.1.26/7.0.33/5.6.40 - MySQL 5.7.25 - MariaDB 10.3.12
Wampserver 3.1.7 64 bit - Apache 2.4.37 - PHP 7.3.1/7.2.14/7.1.26/7.0.33/5.6.40 - MySQL 5.7.25/8.0.14 - MariaDB 10.3.12
PhPMyadmin 4.8.4 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Problems to update wordpress-5.0.1 automatically
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: December 15, 2018 07:57PM

Hi,
Thanks. Which should I pick up: 180, 240, 300? I don't know what it's for. If I pick up one higher than 120, then do I have to put back the default setting?

Options: ReplyQuote
Re: Problems to update wordpress-5.0.1 automatically
Posted by: Otomatic (Moderator)
Date: December 15, 2018 08:04PM

Hi,

Try value you want. If there is. Always fatal error, Increase value.. Nothing will be broken.

You can return to default value if you want, there is no obligation.

------------------------------------------------------------------------------------------------------------
Wampserver 3.1.7 32 bit - Apache 2.4.37 - PHP 7.3.1/7.2.14/7.1.26/7.0.33/5.6.40 - MySQL 5.7.25 - MariaDB 10.3.12
Wampserver 3.1.7 64 bit - Apache 2.4.37 - PHP 7.3.1/7.2.14/7.1.26/7.0.33/5.6.40 - MySQL 5.7.25/8.0.14 - MariaDB 10.3.12
PhPMyadmin 4.8.4 - MysqlDumper 1.24.5
on W10 and W7 Pro 64 bit
Documentation Apache - Documentation PHP - Documentation MySQL - Wampserver install files & addons
« Ce n'est pas parce qu'ils sont nombreux à avoir tort, qu'ils ont forcément raison. Coluche »
« It's not because they are many to be wrong, they are necessarily right. Coluche »

Options: ReplyQuote
Re: Problems to update wordpress-5.0.1 automatically
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: December 15, 2018 08:18PM

I changed it and it worked. Thanks for the advice. Out of curiosity -I am not sure if I should change the setting back to 120, now the update has been completed.
Anyway, thanks a lot!

Options: ReplyQuote
Re: Problems to update wordpress-5.0.1 automatically
Posted by: Pisco (---.dynamic.dsl.as9105.com)
Date: December 15, 2018 08:22PM

I missed your last answer. I will leave it to 180. Seems every thing works as usual. Merry Christmas and happy new year Otomatic.

Options: ReplyQuote


Sorry, only registered users may post in this forum.